<script lang="ts">
    import { createEventDispatcher } from 'svelte'

    export let panel: string
    const dispatch = createEventDispatcher()
</script>

<div class="switch">
    <button
        role="switch"
        aria-selected={panel === 'buildings'}
        on:click={() => dispatch('switch', 'buildings')}
        id="buildings">Bâtiments</button
    >
    <button
        role="switch"
        aria-selected={panel === 'units'}
        on:click={() => dispatch('switch', 'units')}
        id="units">Unités</button
    >
</div>

<style lang="postcss">
    .switch {
        @apply grid grid-cols-2 gap-2;

        button {
            @apply py-4 rounded-lg w-full focus:outline-none;
        }

        #buildings {
            @apply bg-red-600 bg-opacity-50 text-white;

            &[aria-selected='true'] {
                @apply bg-opacity-100;
            }
        }

        #units {
            @apply bg-teal-400 bg-opacity-50 text-black text-opacity-50;

            &[aria-selected='true'] {
                @apply bg-opacity-100 text-opacity-100;
            }
        }
    }
</style>
